---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_GetReferencedInstanceSetMethod;'
    inherits:  '&IDC_Method;'
    name:      GRS - Get Referenced Instance Set Method
    index:     26
    customTagName: getReferencedInstanceSetMethod
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Get_Referenced_Instance_Set_Method__returns__Work_Set;'
      customTagName: 'returnsWorkSetId'
    - instance: '&IDR_Get_Referenced_Instance_Set_Method__uses_reference__Executable_returning_Instance_Set;'
      customTagName: 'referenceInstanceSet'
    - instance: '&IDR_Get_Referenced_Instance_Set_Method__uses_answer__Executable_returning_Instance_Set;'
      customTagName: 'answerInstanceSet'

  - relationship: '&IDR_Get_Referenced_Instance_Set_Method__returns__Work_Set;'
    index: 26
    sourceClassId: '&IDC_GetReferencedInstanceSetMethod;'
    type: 'returns'
    destinationClassId: '&IDC_WorkSet;'
    siblingRelationshipId: '&IDR_Work_Set__returned_by__Get_Referenced_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Work_Set__returned_by__Get_Referenced_Instance_Set_Method;'
    index: 27
    sourceClassId: '&IDC_WorkSet;'
    type: 'returned by'
    destinationClassId: '&IDC_GetReferencedInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Instance_Set_Method__returns__Work_Set;'
    singular: no

  - relationship: '&IDR_Get_Referenced_Instance_Set_Method__uses_reference__Executable_returning_Instance_Set;'
    index: 38
    sourceClassId: '&IDC_GetReferencedInstanceSetMethod;'
    type: 'uses reference'
    destinationClassId: '&IDC_ExecutableReturningInstanceSet;'
    siblingRelationshipId: '&IDR_Executable_returning_Instance_Set__reference_used_by__Get_Referenced_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Instance_Set__reference_used_by__Get_Referenced_Instance_Set_Method;'
    index: 45
    sourceClassId: '&IDC_ExecutableReturningInstanceSet;'
    type: 'reference used by'
    destinationClassId: '&IDC_GetReferencedInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Instance_Set_Method__uses_reference__Executable_returning_Instance_Set;'
    singular: no

  - relationship: '&IDR_Get_Referenced_Instance_Set_Method__uses_answer__Executable_returning_Instance_Set;'
    index: 39
    sourceClassId: '&IDC_GetReferencedInstanceSetMethod;'
    type: 'uses answer'
    destinationClassId: '&IDC_ExecutableReturningInstanceSet;'
    siblingRelationshipId: '&IDR_Executable_returning_Instance_Set__answer_used_by__Get_Referenced_Instance_Set_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Instance_Set__answer_used_by__Get_Referenced_Instance_Set_Method;'
    index: 46
    sourceClassId: '&IDC_ExecutableReturningInstanceSet;'
    type: 'answer used by'
    destinationClassId: '&IDC_GetReferencedInstanceSetMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Instance_Set_Method__uses_answer__Executable_returning_Instance_Set;'
    singular: no
